import { ButtonProps as MuiButtonProps } from '@mui/material/Button';
import React from 'react';
import { PaletteColors } from 'src/typings';
type Variant = 'primary' | 'secondary' | 'tertiary' | 'text' | 'link' | 'nav';
type OmitMuiButtonWrapperProps = Omit<MuiButtonProps, 'color' | 'variant'>;
export interface ButtonWrapperProps extends OmitMuiButtonWrapperProps {
    variant?: Variant;
    color?: PaletteColors;
}
export interface ButtonProps extends MuiButtonProps {
    customVariant?: Variant;
    customColor?: PaletteColors;
}
declare const Button: React.ForwardRefExoticComponent<Omit<ButtonWrapperProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export default Button;
